Package org.apache.sysds.common

## Enum Types.OpOp3

- java.lang.Object
- - java.lang.Enum<Types.OpOp3>
  - - org.apache.sysds.common.Types.OpOp3

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.OpOp3>`

Enclosing interface:
  Types

    public static enum Types.OpOp3
    extends Enum<Types.OpOp3>

Operations that require 3 operands

### Enum Constant Summary

Enum Constants
`COV`
`CTABLE`
`IFELSE`
`INTERQUANTILE`
`MAP`
`MINUS_MULT`
`MOMENT`
`PLUS_MULT`
`QUANTILE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static Types.OpOp3` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Types.OpOp3` `valueOfByOpcode​(String opcode)`
`static Types.OpOp3[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### QUANTILE

    public static final Types.OpOp3 QUANTILE

#### INTERQUANTILE

    public static final Types.OpOp3 INTERQUANTILE

#### CTABLE

    public static final Types.OpOp3 CTABLE

#### MOMENT

    public static final Types.OpOp3 MOMENT

#### COV

    public static final Types.OpOp3 COV

#### PLUS_MULT

    public static final Types.OpOp3 PLUS_MULT

#### MINUS_MULT

    public static final Types.OpOp3 MINUS_MULT

#### IFELSE

    public static final Types.OpOp3 IFELSE

#### MAP

    public static final Types.OpOp3 MAP

### Method Detail

#### values

    public static Types.OpOp3[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types.OpOp3 c : Types.OpOp3.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types.OpOp3 valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Types.OpOp3>`

#### valueOfByOpcode

    public static Types.OpOp3 valueOfByOpcode​(String opcode)